org.apache.thrift

## Class TBaseHelper

- java.lang.Object
- - org.apache.thrift.TBaseHelper

-     public final class TBaseHelper
      extends java.lang.Object

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static byte[]` | `byteBufferToByteArray(java.nio.ByteBuffer byteBuffer)`
    `static int` | `byteBufferToByteArray(java.nio.ByteBuffer byteBuffer, byte[] target, int offset)`
    `static int` | `compareTo(boolean a, boolean b)`
    `static int` | `compareTo(byte[] a, byte[] b)`
    `static int` | `compareTo(byte a, byte b)`
    `static int` | `compareTo(java.lang.Comparable a, java.lang.Comparable b)`
    `static int` | `compareTo(double a, double b)`
    `static int` | `compareTo(int a, int b)`
    `static int` | `compareTo(java.util.List a, java.util.List b)`
    `static int` | `compareTo(long a, long b)`
    `static int` | `compareTo(java.util.Map a, java.util.Map b)`
    `static int` | `compareTo(java.lang.Object o1, java.lang.Object o2)`
    `static int` | `compareTo(java.util.Set a, java.util.Set b)`
    `static int` | `compareTo(short a, short b)`
    `static int` | `compareTo(java.lang.String a, java.lang.String b)`
    `static byte[]` | `copyBinary(byte[] orig)`
    `static java.nio.ByteBuffer` | `copyBinary(java.nio.ByteBuffer orig)`
    `static java.lang.String` | `paddedByteString(byte b)`
    `static java.nio.ByteBuffer` | `rightSize(java.nio.ByteBuffer in)`
    `static void` | `toString(java.nio.ByteBuffer bb, java.lang.StringBuilder sb)`
    `static boolean` | `wrapsFullArray(java.nio.ByteBuffer byteBuffer)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### compareTo

          public static int compareTo(java.lang.Object o1,
                      java.lang.Object o2)

    - #### compareTo

          public static int compareTo(boolean a,
                      boolean b)

    - #### compareTo

          public static int compareTo(byte a,
                      byte b)

    - #### compareTo

          public static int compareTo(short a,
                      short b)

    - #### compareTo

          public static int compareTo(int a,
                      int b)

    - #### compareTo

          public static int compareTo(long a,
                      long b)

    - #### compareTo

          public static int compareTo(double a,
                      double b)

    - #### compareTo

          public static int compareTo(java.lang.String a,
                      java.lang.String b)

    - #### compareTo

          public static int compareTo(byte[] a,
                      byte[] b)

    - #### compareTo

          public static int compareTo(java.lang.Comparable a,
                      java.lang.Comparable b)

    - #### compareTo

          public static int compareTo(java.util.List a,
                      java.util.List b)

    - #### compareTo

          public static int compareTo(java.util.Set a,
                      java.util.Set b)

    - #### compareTo

          public static int compareTo(java.util.Map a,
                      java.util.Map b)

    - #### toString

          public static void toString(java.nio.ByteBuffer bb,
                      java.lang.StringBuilder sb)

    - #### paddedByteString

          public static java.lang.String paddedByteString(byte b)

    - #### byteBufferToByteArray

          public static byte[] byteBufferToByteArray(java.nio.ByteBuffer byteBuffer)

    - #### wrapsFullArray

          public static boolean wrapsFullArray(java.nio.ByteBuffer byteBuffer)

    - #### byteBufferToByteArray

          public static int byteBufferToByteArray(java.nio.ByteBuffer byteBuffer,
                                  byte[] target,
                                  int offset)

    - #### rightSize

          public static java.nio.ByteBuffer rightSize(java.nio.ByteBuffer in)

    - #### copyBinary

          public static java.nio.ByteBuffer copyBinary(java.nio.ByteBuffer orig)

    - #### copyBinary

          public static byte[] copyBinary(byte[] orig)